#
# spec file for package yast2-base (Version 2.4.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gpp libgpp libscr libscr-devel liby2 liby2-devel libycp libycp-devel libyui libyui-devel xf86 yast2-core-scr yast2-core-scr-devel yast2-core-wfm yast2-core-wfm-devel ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libscr libscr-devel libtool liby2 liby2-devel libycp libycp-devel libyui libyui-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared yast2-core-scr yast2-core-scr-devel yast2-core-wfm yast2-core-wfm-devel ydoc

Name:         yast2-base
Copyright:    (c) 2000 SuSE GmbH
Group:        System Environment/YaST
Provides:	y2base
Obsoletes:	y2base
Requires:	yast2-core-wfm yast2-core-scr
Requires:	yast2-core-clients
Requires:	YaST2-UI
Summary:      YaST2 - base package
Version:      2.4.2
Release:      69
Source0:      yast2-base-2.4.2.tar.bz2

%description
This package contains the YaST2 binary components, libraries, and
plugins (runtime loadable components) which build the core of YaST2.
Together with the control scripts from the "yast2" package, they form
the "heart" of YaST2.

Authors:
--------
    Michael Andres <ma@suse.de> 
    Waldo Bastian <bastian@suse.de> 
    Klaus Kaempf <kskaem@suse.de> 
    Mathias Kettner <kettner@suse.de> 
    Andreas Schwab <schwab@suse.de> 
    Steffen Winterfeldt <snwint@suse.de>

SuSE series: yast

%prep
%setup -n yast2-base-2.4.2

%build
aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure
make

%install
make install-strip

%files
%dir /usr/lib/YaST2/bin
/usr/lib/YaST2/bin/y2bignfat
/usr/lib/YaST2/bin/yast2qt
/usr/lib/YaST2/bin/yast2ncurses
/usr/lib/YaST2/bin/testX
/usr/lib/YaST2/bin/startshell
/usr/lib/YaST2/bin/md_autorun

%changelog -n yast2-base
* Mon Aug 13 2001 - kkaempf@suse.de
- add md_autorun to tools.
* Thu Jul 05 2001 - kkaempf@suse.de
- drop yast2-core-translator from Requires
- link scr and wfm statically to reduce startup time
* Mon Apr 30 2001 - kkaempf@suse.de
- require "YaST2-UI" instead of "yast2-ui-qt" and "yast2-ui-ncurses"
* Thu Apr 26 2001 - kkaempf@suse.de
- require "yast2-core-clients"
* Wed Apr 25 2001 - kkaempf@suse.de
- require "yast2-ui-qt" and "yast2-ui-ncurses" (#7194)
* Thu Mar 08 2001 - kkaempf@suse.de
- package rename y2base -> yast2-base
* Wed Dec 06 2000 - kkaempf@suse.de
- include ag_resolver plugin
* Wed Dec 06 2000 - kkaempf@suse.de
- fix neededforbuild
* Tue Nov 28 2000 - arvin@suse.de
- strip programs, libs and plugins
* Fri Nov 17 2000 - kkaempf@suse.de
- provide complete libs and plugins
* Fri Nov 17 2000 - arvin@suse.de
- provide plugins
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Fri Nov 17 2000 - kkaempf@suse.de
- dont provide pars-inf.pl, its in yast2
* Thu Nov 16 2000 - kkaempf@suse.de
- adapt to new plugins
* Tue Nov 14 2000 - kkaempf@suse.de
- temporarely remove ldap, not portable yet
* Tue Nov 14 2000 - kkaempf@suse.de
- link with ldap
* Fri Nov 10 2000 - kkaempf@suse.de
- fix filelist for scrconf
  add y2a_ldap to neededforbuild
  dont provide plugins
* Fri Nov 10 2000 - kkaempf@suse.de
- provide complete scr configuration
* Wed Nov 08 2000 - kkaempf@suse.de
- make y2bignfat static
* Fri Nov 03 2000 - kkaempf@suse.de
- remove mesa, glx, glxdev. Not portable.
  provide plugins in filelist
* Fri Nov 03 2000 - kkaempf@suse.de
- adapt neededforbuild to new qt
* Fri Oct 27 2000 - kkaempf@suse.de
- link with correct scr plugin
* Tue Oct 24 2000 - kkaempf@suse.de
- all scr agents are provided by y2scr, not in neededforbuild
  version 2.1.4
* Mon Oct 23 2000 - kkaempf@suse.de
- dont link with mesa, glx, glxdev until nvidia gets it right
  version 2.1.3
* Tue Oct 17 2000 - kkaempf@suse.de
- dont link with scr agents, its all in libscr
  version 2.1.2
* Fri Oct 13 2000 - kkaempf@suse.de
- new neededforbuild for libqt2
  now grab all plugins from the plugin dir
  version 2.1.1
* Mon Jun 26 2000 - kkaempf@suse.de
- new version of testX
  version 2.0.6
* Mon Jun 19 2000 - kkaempf@suse.de
- remove own copy of sax tools
  version 2.0.5
* Sat Jun 17 2000 - kkaempf@suse.de
- qtdevel2 in neededforbuild as workaround to missing symlink in qtlib2
* Fri Jun 16 2000 - kkaempf@suse.de
- add xmset and xkbset to filelist
  version 2.0.4
* Thu Jun 08 2000 - kkaempf@suse.de
- include unicode font
  version 2.0.3
* Wed Jun 07 2000 - kkaempf@suse.de
- remove -lg++
  include servers_non_y2
  version 2.0.2
* Tue Jun 06 2000 - kkaempf@suse.de
- fixed neededforbuild
* Wed May 31 2000 - kkaempf@suse.de
- add ag_dummy to static binary
* Mon May 29 2000 - kkaempf@suse.de
- correct path to qt library
  link with -lpng for qt2
* Wed May 24 2000 - kkaempf@suse.de
- add startup tools testX and startshell
  bump version to 2.0.1
* Wed Apr 26 2000 - kkaempf@suse.de
- Initial version based on yast2 from SuSE 6.4
